// Waterfalls - Alex Michell
// May 2014
import processing.serial.*; // import the Processing serial library
Serial myPort;

float xTrim, gFill;
Ball ball1;



void setup() {
  size(600, 600);
  background(0);
  smooth();
  noStroke();

  ball1 = new Ball (300, 0);
  ball1.initialiseBall();
  String portName = Serial.list()[5];
  myPort = new Serial(this, portName, 9600);
  // read incoming bytes to a buffer
  // until you get a linefeed (ASCII 10):
  myPort.bufferUntil('\n');
}

void draw() {

  fill(0, 5);
  rect(0, 0, width, height);

  fill(255);

  ball1.run();
}

void serialEvent(Serial myPort) {
  // read the serial buffer:
  String myString = myPort.readStringUntil('\n');
  if (myString != null) {
    myString = trim(myString);

    // split the string at the commas
    // and convert the sections into integers:
    int sensors[] = int(split(myString, ','));
    //Next, print out those three integers using a for() loop, like so:

    for (int sensorNum = 0; sensorNum < sensors.length; sensorNum++) {
      // print("Sensor " + sensorNum + ": " + sensors[sensorNum] + "\t");
    }
    // add a linefeed at the end:
    //println();
    // make sure you've got all three values:
    if (sensors.length > 1) {
      gFill= sensors[0];
      xTrim = sensors[1];
      xTrim -= (255/2);
      println(gFill );
    }
  }
}
